org.apache.lucene.analysis.ja

## Class JapanesePartOfSpeechStopFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.FilteringTokenFilter
        - - org.apache.lucene.analysis.ja.JapanesePartOfSpeechStopFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class JapanesePartOfSpeechStopFilter
      extends FilteringTokenFilter

  Removes tokens that match a set of part-of-speech tags.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JapanesePartOfSpeechStopFilter(TokenStream input, Set<String> stopTags)` Create a new `JapanesePartOfSpeechStopFilter`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `accept()`

    - ### Methods inherited from class org.apache.lucene.analysis.FilteringTokenFilter

      `end, incrementToken, reset`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JapanesePartOfSpeechStopFilter

          public JapanesePartOfSpeechStopFilter(TokenStream input,
                                                Set<String> stopTags)

      Create a new `JapanesePartOfSpeechStopFilter`.
      Parameters:
        `input` - the `TokenStream` to consume
        `stopTags` - the part-of-speech tags that should be removed

  - ### Method Detail

    - #### accept

          protected boolean accept()

      Specified by:
        `accept` in class `FilteringTokenFilter`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.